Sending WhatsApp messages with contact details (deprecated)
Last updated: 16 October 2026
Use the /api/v1/out-messages/whatsapp method to send contact details to the WhatsApp channel.
warning
The /api/v1/out-messages/whatsapp method is deprecated but remains available.
To support BSUID, we recommend that you use the new /api/v2/out-messages/whatsapp method.
Call the method
To send a message containing contact details to the WhatsApp channel, send a POST request to https://app.edna.io/api/v1/out-messages/whatsapp.
Request example
{
"sender": "wa_subject_1",
"phone": "+19165550100",
"content": {
"type": "CONTACT",
"name": {
"name": "John Director",
"firstName": "John",
"lastName": "Public"
},
"phones": [
{
"phone": "+19165550101",
"type": "CELL",
"userId": "19165550101"
},
{
"phone": "+19165550199",
"type": "WORK",
},
{
"phone": "+19165550111",
"type": "HOME",
},
],
"addresses": [
{
"city": "Sacramento",
"country": "USA",
"street": "2210 Sloat Way",
"type": "HOME"
},
{
"city": "Sacramento",
"country": "USA",
"street": "2733 Riverside Blvd",
"type": "WORK"
}
],
"emails": [
{
"email": "[email protected]",
"type": "HOME"
},
{
"email": "[email protected]",
"type": "WORK"
}
],
"urls": [
{
"url": "nicesite.com",
"type": "HOME"
},
{
"url": "lovelywork.com",
"type": "WORK"
}
],
"org": {
"company": "Publishing house KnightHood",
"department": "Legal Department",
"title": "Director of the Legal Department"
}
}
}
Request parameters
| Parameter | Data type | Requirement | Description |
|---|---|---|---|
outMessageId | string | Optional | Internal identifier of the outgoing message. An external customer system or edna Pulse generates it when sending the message. Maximum string length is 256 characters. |
sender | string | Required | Signature name. To find out the signature name, use the API method for getting the list of channels — the subject parameter.
Receiving list of channels |
phone | string | Required | Recipient address — a phone number in the E.164 standard format.
Standard pattern: ^+[1-9]\d{1,14}$.
To find out the recipient address, use the API method for requesting recipient data — the addresses.address parameter.
Requesting client data |
content | object | Required | Object containing message content.
You should specify: - the content.name parameter;
- one of the following parameters: content.phones, content.addresses, content.emails, content.urls, or content.org. |
content.type | string | Required | Message content type.
Possible values: - TEXT — text message;
- IMAGE — image;
- DOCUMENT — document attached to the message;
- VIDEO — message containing a video;
- AUDIO — message containing audio;
- LOCATION — message with coordinates, an address, and a place description. Coordinates are converted to a Google Maps snapshot;
- LIST_PICKER — interactive WhatsApp menu buttons;
- FLOW — message containing WhatsApp Flows.
- CONTACT — message containing contact details. |
content.name | object | Required | Object containing contact names.
You should specify: - the content.name.name parameter;
- one of the following parameters: content.name.firstName or content.name.lastName. |
content.name.name | string | Required | Contact name. Maximum length is 1024 characters. |
content.name.firstName | string | Optional | Contact first name. Maximum length is 1024 characters. |
content.name.lastName | string | Optional | Contact last name. Maximum length is 1024 characters. |
content.phones | array of objects | Optional | Array of phone numbers. |
content.phones.phone | string | Optional | Phone number. Maximum length is 1024 characters. |
content.phones.type | string | Optional | Phone number type.
Possible values: - HOME – home;
- WORK – work;
- IPHONE – iPhone;
- MAIN – main;
- CELL – mobile. |
content.phones.userId | string | Optional | If specified, WhatsApp receives the WhatsApp ID — the phone number linked to the account. In this case, the contact is displayed with the “Write” and “Save” buttons. If you don’t specify a value, the contact is displayed with the “Add” button. Maximum length is 1024 characters. |
content.addresses | array of objects | Optional | Array of home and work addresses.
Values of the content.addresses parameter are displayed only in the web version of WhatsApp. |
content.addresses.city | string | Optional | Contact city. Maximum length is 1024 characters. |
content.addresses.country | string | Optional | Contact country. Maximum length is 1024 characters. |
content.addresses.street | string | Optional | Contact street. Maximum length is 1024 characters. |
content.addresses.type | string | Optional | Contact address type.
Possible values: - HOME – home;
- WORK – work. |
content.emails | array of objects | Optional | Array of email addresses.
Values of the content.emails parameter are displayed only in the web version of WhatsApp. |
content.emails.email | string | Optional | Contact email address. Maximum length is 1024 characters. |
content.emails.type | string | Optional | Contact email address type.
Possible values: - HOME – home;
- WORK – work. |
content.urls | array of objects | Optional | Array of web page addresses.
Values of the content.urls parameter are displayed only in the web version of WhatsApp. |
content.urls.url | string | Optional | Web page address. Maximum length is 1024 characters. |
content.urls.type | string | Optional | Web page address type.
Possible values: - HOME – home;
- WORK – work. |
content.org | object | Optional | Object containing information about the organization. |
content.org.company | string | Optional | Organization name. Maximum length is 1024 characters. |
content.org.department | string | Optional | Organization department. Maximum length is 1024 characters. |
content.org.title | string | Optional | Contact position. Maximum length is 1024 characters. |
Response format
{
"outMessageId": "string",
"phone": "string"
}
Response example
{
"outMessageId": "020be4b9-bb7d-781d-8517-913fa44e80e6",
"phone": "+77771234567"
}
Response parameters
| Parameter | Data type | Description |
|---|---|---|
outMessageId | string | Internal identifier of the outgoing message. An external customer system or edna Pulse generated it when sending the message. |
phone | string | Recipient address — a phone number in the E.164 standard format.
Standard pattern: ^+[1-9]\d{1,14}$.
|